#ifndef GetParameterByPath_H
#define GetParameterByPath_H

#include <Command.h>

namespace ProtoGenWrapper {
	class DParameterContainer;
	class DResponse;
}

namespace ProtoGenWrapper
{
	class GetParameterByPath :
		public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetParameterByPath(const DParameterContainer& parameterContainer, const std::string& path);
		GetParameterByPath(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(DParameterContainer& parameterContainer, std::string& path) const;

		static int GetCommandType();
	};
}
#endif // GetParameterByPath_H
